#include <stdint.h>
#include <cstring>

namespace std {

  void *memcpy(void *dest, const void *src, size_t count) {
    uint8_t *d8 = (uint8_t *)dest;
    const uint8_t *s8 = (const uint8_t *)src;
    for (size_t i = 0; i < count; ++i)
      d8[i] = s8[i];
    return dest;
  }

}
